package com.tzld.piaoquan.recommend.feature.model;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.validation.constraints.NotNull;

@Getter
@NoArgsConstructor
@Setter
@NotNull
public class UserAdFeature {

    private String mid = "0";

    private String gender = "0";

    private String user_type = "0";

    private String gmt_create = "0";

    private String tags = "0";

    private String category_name = "0";

    private String isvip = "0";

    private String isreward = "0";

    private String isad = "0";

    private String isgood = "0";

    private String first_up_datetime = "0";
    private String last_up_datetime = "0";
    private String next_to_last_up_datetime = "0";
    private String videos = "0"; // 上传视频数量
    private String idols = "0"; // 关注人数
    private String fans = "0";  // 粉丝数
    private String play_count = "0";  // 播放人数
    private String play_count_total = "0";  // 累计播放次数

    private String total_reward = "0";
    private String currentday_reward = "0";
    private String reward_person = "0";
    private String total_reward_times = "0";

    private String reward_videos = "0";
    private String total_price = "0";
    private String currentday_price = "0";
    private String total_price_times = "0";
    private String total_price_person = "0";
    private String total_price_videos = "0";
    private String cgrain_user_type = "0";
    private String identity_tagname = "0";


    private String operation_tags = "0";
    private String identity_tag_id = "0";
    private String identity_create_time = "0";
    private String country = "0";
    private String province = "0";
    private String city = "0";


    // 当天统计量信息
    private AdActionFeature day1_cnt_features;
    // 3天内统计量
    private AdActionFeature day3_cnt_features;
    // 7天内统计量
    private AdActionFeature day7_cnt_features;
    // 3个月统计量
    private AdActionFeature month3_cnt_features;


    public void setDay1_cnt_features(AdActionFeature key) {
        this.day1_cnt_features = key;
        if (key == null)
            this.day1_cnt_features = new AdActionFeature();
    }

    public void setDay3_cnt_features(AdActionFeature key) {
        this.day3_cnt_features = key;
        if (key == null)
            this.day3_cnt_features = new AdActionFeature();
    }

    public void setDay7_cnt_features(AdActionFeature key) {
        this.day7_cnt_features = key;
        if (key == null)
            this.day7_cnt_features = new AdActionFeature();
    }

    public void setMonth3_cnt_features(AdActionFeature key) {
        this.month3_cnt_features = key;
        if (key == null)
            this.month3_cnt_features = new AdActionFeature();
    }


    public String getKey() {
        return this.mid;
    }

    public String getValue() {
        Gson gson = new GsonBuilder().serializeSpecialFloatingPointValues().create();
        return gson.toJson(this);
    }

}
